#!/usr/bin/env bash

arrayWen=$(cat services.txt)
#循环打包
for var in ${arrayWen[@]};
do
    cd /drone/src/${var}
    if test $var != "ruoyi-admin";then
      mvn clean install
      else
        mvn clean package
    fi

done

#创建veterans目录
mkdir -p /app/build/student/
#拷贝执行文件
cp /drone/src/drone_run.sh /app/build/student/
cp -r /drone/src/services.txt /app/build/student/services.txt

#循环拷贝数据
for var in ${arrayWen[@]};
do
    if test $var == "ruoyi-admin";then
       #创建文件夹
      mkdir -p /app/build/student/${var}
      #拷贝jar到宿主机
      cp -r /drone/src/${var}/target/*.jar /app/build/student/${var}/
      #拷贝docker文件到宿主机
      cp -r /drone/src/${var}/src/main/docker/* /app/build/student/${var}/
      #拷贝docker构建脚本文件到宿主机
      cp -r /drone/src/${var}/run.sh /app/build/student/${var}/
    fi
done
