#!/usr/bin/env bash
#定义应用的组名
group_name='student'
#定义应用名称
app_name='student'
#定义应用版本
app_version='1.0.0'
#容器端口
app_in_port='8079'
#宿主端口
app_out_port='8079'
#profile_active='prod'
echo '----stop container----'
docker stop ${app_name}
echo '----rm container----'
docker rm ${app_name}
echo '----rm image----'
docker rmi ${app_name}:${app_version}
echo '----build image----'
docker build -t ${app_name}:${app_version} .
echo '----start container----'
docker run -d --restart=always --network=host \
-p ${app_out_port}:${app_in_port} -v /data/logs/${group_name}/${app_name}:/logs \
--name ${app_name} ${app_name}:${app_version}