package com.ruoyi.system.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 教材申请对象 stu_book_apply
 * 
 * @author liql
 * @date 2021-09-27
 */
@ApiModel("教材申请模型")
public class StuBookApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID   */
    private Long id;

    /** 学生id */
    @Excel(name = "学生id")
    @ApiModelProperty(value = "学生id")
    private Long studentId;

    /** 班级id */
    @Excel(name = "班级id")
    @ApiModelProperty(value = "班级id")
    private Long classId;

    /** 申请状态 */
    @Excel(name = "申请状态")
    @ApiModelProperty(value = "申请状态")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setClassId(Long classId) 
    {
        this.classId = classId;
    }

    public Long getClassId() 
    {
        return classId;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("studentId", getStudentId())
            .append("classId", getClassId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
