package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 班级对象 stu_class
 *
 * @author liql
 * @date 2021-03-23
 */
public class StuClass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 专业id */
    @Excel(name = "专业id")
    private Long professionId;
    private String professionName;

    private Long departmentId;
    private String departmentName;

    private Long collegeId;
    private String collegeName;

    /** 班级名称 */
    @Excel(name = "班级名称")
    private String className;

    /** $column.columnComment */
    @Excel(name = "班级主任名称")
    private String classTeacher;

    private Long classTeacherId;

    /** 年级 */
    @Excel(name = "年级")
    private Long grade;

    /** 毕业状态 */
    @Excel(name = "毕业状态")
    private Long graduationStatus;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Long delStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProfessionId(Long professionId)
    {
        this.professionId = professionId;
    }

    public Long getProfessionId()
    {
        return professionId;
    }
    public void setClassName(String className)
    {
        this.className = className;
    }

    public String getClassName()
    {
        return className;
    }
    public void setClassTeacher(String classTeacher)
    {
        this.classTeacher = classTeacher;
    }

    public String getClassTeacher()
    {
        return classTeacher;
    }

    public Long getClassTeacherId() {
        return classTeacherId;
    }

    public void setClassTeacherId(Long classTeacherId) {
        this.classTeacherId = classTeacherId;
    }

    public void setGrade(Long grade)
    {
        this.grade = grade;
    }

    public Long getGrade()
    {
        return grade;
    }
    public void setGraduationStatus(Long graduationStatus)
    {
        this.graduationStatus = graduationStatus;
    }

    public Long getGraduationStatus()
    {
        return graduationStatus;
    }
    public void setDelStatus(Long delStatus)
    {
        this.delStatus = delStatus;
    }

    public Long getDelStatus()
    {
        return delStatus;
    }

    public String getProfessionName() {
        return professionName;
    }

    public void setProfessionName(String professionName) {
        this.professionName = professionName;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public Long getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(Long collegeId) {
        this.collegeId = collegeId;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("professionId", getProfessionId())
            .append("professionName",getProfessionName())
            .append("className", getClassName())
            .append("classTeacher", getClassTeacher())
            .append("grade", getGrade())
            .append("graduationStatus", getGraduationStatus())
            .append("remark", getRemark())
            .append("delStatus", getDelStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
