package com.ruoyi.system.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 教材配置对象 stu_class_book_config
 * 
 * @author liql
 * @date 2021-09-27
 */
@ApiModel("班级教材配置模型")
public class StuClassBookConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 班级id */
    @ApiModelProperty(value = "班级id")
    private Long classId;

    /** 教材id */
    @ApiModelProperty(value = "教材id数组")
    private List<Long> textBookIdList;
    @ApiModelProperty(value = "教材id",hidden = true)
    private Long textBookId;

    public void setClassId(Long classId) 
    {
        this.classId = classId;
    }

    public Long getClassId() 
    {
        return classId;
    }

    public List<Long> getTextBookIdList() {
        return textBookIdList;
    }

    public void setTextBookIdList(List<Long> textBookIdList) {
        this.textBookIdList = textBookIdList;
    }

    public Long getTextBookId() {
        return textBookId;
    }

    public void setTextBookId(Long textBookId) {
        this.textBookId = textBookId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("classId", getClassId())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
