package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专业对象 stu_profession
 *
 * @author liql
 * @date 2021-03-23
 */
public class StuProfession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 科系id */
    @Excel(name = "科系id")
    private Long departmentId;
    private String departmentName;

    private Long collegeId;
    private String collegeName;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String professionName;

    /** 删除状态(0正常,1删除) */
    @Excel(name = "删除状态(0正常,1删除)")
    private Long delStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDepartmentId(Long departmentId)
    {
        this.departmentId = departmentId;
    }

    public Long getDepartmentId()
    {
        return departmentId;
    }
    public void setProfessionName(String professionName)
    {
        this.professionName = professionName;
    }

    public String getProfessionName()
    {
        return professionName;
    }
    public void setDelStatus(Long delStatus)
    {
        this.delStatus = delStatus;
    }

    public Long getDelStatus()
    {
        return delStatus;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public Long getCollegeId() {
        return collegeId;
    }

    public void setCollegeId(Long collegeId) {
        this.collegeId = collegeId;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("departmentId", getDepartmentId())
            .append("professionName", getProfessionName())
            .append("departmentName", getDepartmentName())
            .append("remark", getRemark())
            .append("delStatus", getDelStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
