package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 寝室对象 stu_room
 * 
 * @author liql
 * @date 2021-06-17
 */
public class StuRoom extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 楼宇id */
    @Excel(name = "楼宇id")
    private Long buiddingId;

    /** 楼宇名 */
    @Excel(name = "楼宇名")
    private String buildingName;

    /** 寝室类型 */
    private Integer roomType;

    /** 寝室名  */
    @Excel(name = "寝室名")
    private String roomName;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBuiddingId(Long buiddingId) 
    {
        this.buiddingId = buiddingId;
    }

    public Long getBuiddingId() 
    {
        return buiddingId;
    }
    public void setBuildingName(String buildingName) 
    {
        this.buildingName = buildingName;
    }

    public String getBuildingName() 
    {
        return buildingName;
    }
    public void setRoomName(String roomName) 
    {
        this.roomName = roomName;
    }

    public String getRoomName() 
    {
        return roomName;
    }

    public Integer getRoomType() {
        return roomType;
    }

    public void setRoomType(Integer roomType) {
        this.roomType = roomType;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("buiddingId", getBuiddingId())
            .append("buildingName", getBuildingName())
            .append("roomName", getRoomName())
            .append("roomType", getRoomType())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
