package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科系对象 stu_department
 *
 * @author liql
 * @date 2021-03-23
 */
public class StuDepartment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 院校id */
    @Excel(name = "院校id")
    private Long collegeId;

    private String collegeName;

    /** 系名称 */
    @Excel(name = "系名称")
    private String departmentName;

    /** 删除状态(0正常,1删除) */
    @Excel(name = "删除状态(0正常,1删除)")
    private Long delStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCollegeId(Long collegeId)
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId()
    {
        return collegeId;
    }
    public void setDepartmentName(String departmentName)
    {
        this.departmentName = departmentName;
    }

    public String getDepartmentName()
    {
        return departmentName;
    }
    public void setDelStatus(Long delStatus)
    {
        this.delStatus = delStatus;
    }

    public Long getDelStatus()
    {
        return delStatus;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("collegeId", getCollegeId())
            .append("collegeName", getCollegeName())
            .append("departmentName", getDepartmentName())
            .append("delStatus", getDelStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
