package com.ruoyi.system.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @Description 审批列表请求参数模型
 * @Author liqinglong
 * @DateTime 2021-09-27 17:15
 * @Version 1.0
 */
@Data
@ToString
@ApiModel("审批列表请求参数模型")
public class ApplyListParam implements Serializable {
    @ApiModelProperty(value = "学生姓名")
    private String studentName;
    @ApiModelProperty(value = "创建者",hidden = true)
    private Long createBy;
}
