package com.ruoyi.system.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @Description 班级教材配置参数
 * @Author liqinglong
 * @DateTime 2021-09-28 09:58
 * @Version 1.0
 */
@Data
@ToString
@ApiModel("班级教材配置参数")
public class ClassBookConfigParam implements Serializable {
    @ApiModelProperty("班级id")
    private Long classId;
    @ApiModelProperty("教材id")
    private Long textBookId;
}
