package com.ruoyi.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 申请列表模型
 * @Author liqinglong
 * @DateTime 2021-09-27 17:20
 * @Version 1.0
 */
@Data
@ToString
@ApiModel("申请列表模型")
public class ApplyListVo implements Serializable {
    private Long id;
    @ApiModelProperty(value = "专业")
    private String professionName;
    @ApiModelProperty(value = "学生姓名")
    private String studentName;
    @ApiModelProperty(value = "班级")
    private String className;
    @ApiModelProperty(value = "申请人")
    private String nickName;
    @ApiModelProperty(value = "状态")
    private Integer status;
    @ApiModelProperty(value = "申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
