package com.ruoyi.system.task;

import com.ruoyi.system.domain.vo.StudentGraduationStatusVo;
import com.ruoyi.system.mapper.StuBaseInfoMapper;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * 定时任务动态修改学生状态
 * @Author liql
 * @Date 2021-03-25
 */
@Component("studentStatusTask")
public class StudentStatusTask {
    @Resource
    private StuBaseInfoMapper stuBaseInfoMapper;
    public void updateStudentStatus(){
        List<StudentGraduationStatusVo> list =  stuBaseInfoMapper.selectGraduationStudent();
        for (StudentGraduationStatusVo vo:list) {
            vo.setStudentStatus(9L);
            stuBaseInfoMapper.updateStudentStatus(vo);
        }
    }

}
